#!/bin/bash

set -e

if [[ "${DEBUG}" == "1" ]] || [[ "${DEBUG}" == "true" ]];
then
    tiller --verbose --debug
else
    tiller
fi

if [ "$#" -eq 0 ]; then
    # run the default command for this image
    CONTAINER_COMMAND=/container_command.sh
else
    # run the provided command in the container
    echo 'Running custom container command'
    CONTAINER_COMMAND="$@"
fi


# Since we use the --skip-if-not-root flag, the gosu_wrapper exec is
# effectively a NOP in environments where we don't run as root (i.e.,
# everywhere except on-prem NSX Defender appliances).
exec /usr/bin/gosu_wrapper.py \
        --skip-if-not-root \
        --user-id "${SERVICE_UID}" \
        --create-user llanta \
        --update-ca-certificates \
        --docker-hostname "${DOCKER_HOSTNAME_IN_ETC_HOSTS}" \
    -- \
        $CONTAINER_COMMAND
